Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.http
Class HttpServletRequestWrapper

    java.lang.Object
      |
      +--javax.servlet.ServletRequestWrapper
            |
            +--javax.servlet.http.HttpServletRequestWrapper

public class HttpServletRequestWrapper
extends ServletRequestWrapper
implements HttpServletRequest

Provides a convenient implementation of the HttpServletRequest interface that can be subclassed by developers wishing to adapt the request to a Servlet. This class implements the Wrapper or Decorator pattern. Methods default to calling through to the wrapped request object.

Since:
  v 2.3
See Also:
  `HttpServletRequest`

Constructor Summary
`HttpServletRequestWrapper(HttpServletRequest request)` Constructs a request object wrapping the given request.

Method Summary
`java.lang.String` | `getAuthType()` The default behavior of this method is to return getAuthType() on the wrapped request object.
`java.lang.String` | `getContextPath()` The default behavior of this method is to return getContextPath() on the wrapped request object.
`Cookie[]` | `getCookies()` The default behavior of this method is to return getCookies() on the wrapped request object.
`long` | `getDateHeader(java.lang.String name)` The default behavior of this method is to return getDateHeader(String name) on the wrapped request object.
`java.lang.String` | `getHeader(java.lang.String name)` The default behavior of this method is to return getHeader(String name) on the wrapped request object.
`java.util.Enumeration` | `getHeaderNames()` The default behavior of this method is to return getHeaderNames() on the wrapped request object.
`java.util.Enumeration` | `getHeaders(java.lang.String name)` The default behavior of this method is to return getHeaders(String name) on the wrapped request object.
`int` | `getIntHeader(java.lang.String name)` The default behavior of this method is to return getIntHeader(String name) on the wrapped request object.
`java.lang.String` | `getMethod()` The default behavior of this method is to return getMethod() on the wrapped request object.
`java.lang.String` | `getPathInfo()` The default behavior of this method is to return getPathInfo() on the wrapped request object.
`java.lang.String` | `getPathTranslated()` The default behavior of this method is to return getPathTranslated() on the wrapped request object.
`java.lang.String` | `getQueryString()` The default behavior of this method is to return getQueryString() on the wrapped request object.
`java.lang.String` | `getRemoteUser()` The default behavior of this method is to return getRemoteUser() on the wrapped request object.
`java.lang.String` | `getRequestedSessionId()` The default behavior of this method is to return getRequestedSessionId() on the wrapped request object.
`java.lang.String` | `getRequestURI()` The default behavior of this method is to return getRequestURI() on the wrapped request object.
`java.lang.StringBuffer` | `getRequestURL()` The default behavior of this method is to return getRequestURL() on the wrapped request object.
`java.lang.String` | `getServletPath()` The default behavior of this method is to return getServletPath() on the wrapped request object.
`HttpSession` | `getSession()` The default behavior of this method is to return getSession() on the wrapped request object.
`HttpSession` | `getSession(boolean create)` The default behavior of this method is to return getSession(boolean create) on the wrapped request object.
`java.security.Principal` | `getUserPrincipal()` The default behavior of this method is to return getUserPrincipal() on the wrapped request object.
`boolean` | `isRequestedSessionIdFromCookie()` The default behavior of this method is to return isRequestedSessionIdFromCookie() on the wrapped request object.
`boolean` | `isRequestedSessionIdFromUrl()` The default behavior of this method is to return isRequestedSessionIdFromUrl() on the wrapped request object.
`boolean` | `isRequestedSessionIdFromURL()` The default behavior of this method is to return isRequestedSessionIdFromURL() on the wrapped request object.
`boolean` | `isRequestedSessionIdValid()` The default behavior of this method is to return isRequestedSessionIdValid() on the wrapped request object.
`boolean` | `isUserInRole(java.lang.String role)` The default behavior of this method is to return isUserInRole(String role) on the wrapped request object.

Methods inherited from class javax.servlet.ServletRequestWrapper
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding, setRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpServletRequestWrapper

    public HttpServletRequestWrapper(HttpServletRequest request)

  Constructs a request object wrapping the given request.
  Throws:
    java.lang.IllegalArgumentException - if the request is null

Method Detail

### getAuthType

    public java.lang.String getAuthType()

  The default behavior of this method is to return getAuthType() on the wrapped request object.
  Specified by:
    getAuthType in interface HttpServletRequest

### getCookies

    public Cookie[] getCookies()

  The default behavior of this method is to return getCookies() on the wrapped request object.
  Specified by:
    getCookies in interface HttpServletRequest

### getDateHeader

    public long getDateHeader(java.lang.String name)

  The default behavior of this method is to return getDateHeader(String name) on the wrapped request object.
  Specified by:
    getDateHeader in interface HttpServletRequest

### getHeader

    public java.lang.String getHeader(java.lang.String name)

  The default behavior of this method is to return getHeader(String name) on the wrapped request object.
  Specified by:
    getHeader in interface HttpServletRequest

### getHeaders

    public java.util.Enumeration getHeaders(java.lang.String name)

  The default behavior of this method is to return getHeaders(String name) on the wrapped request object.
  Specified by:
    getHeaders in interface HttpServletRequest

### getHeaderNames

    public java.util.Enumeration getHeaderNames()

  The default behavior of this method is to return getHeaderNames() on the wrapped request object.
  Specified by:
    getHeaderNames in interface HttpServletRequest

### getIntHeader

    public int getIntHeader(java.lang.String name)

  The default behavior of this method is to return getIntHeader(String name) on the wrapped request object.
  Specified by:
    getIntHeader in interface HttpServletRequest

### getMethod

    public java.lang.String getMethod()

  The default behavior of this method is to return getMethod() on the wrapped request object.
  Specified by:
    getMethod in interface HttpServletRequest

### getPathInfo

    public java.lang.String getPathInfo()

  The default behavior of this method is to return getPathInfo() on the wrapped request object.
  Specified by:
    getPathInfo in interface HttpServletRequest

### getPathTranslated

    public java.lang.String getPathTranslated()

  The default behavior of this method is to return getPathTranslated() on the wrapped request object.
  Specified by:
    getPathTranslated in interface HttpServletRequest

### getContextPath

    public java.lang.String getContextPath()

  The default behavior of this method is to return getContextPath() on the wrapped request object.
  Specified by:
    getContextPath in interface HttpServletRequest

### getQueryString

    public java.lang.String getQueryString()

  The default behavior of this method is to return getQueryString() on the wrapped request object.
  Specified by:
    getQueryString in interface HttpServletRequest

### getRemoteUser

    public java.lang.String getRemoteUser()

  The default behavior of this method is to return getRemoteUser() on the wrapped request object.
  Specified by:
    getRemoteUser in interface HttpServletRequest

### isUserInRole

    public boolean isUserInRole(java.lang.String role)

  The default behavior of this method is to return isUserInRole(String role) on the wrapped request object.
  Specified by:
    isUserInRole in interface HttpServletRequest

### getUserPrincipal

    public java.security.Principal getUserPrincipal()

  The default behavior of this method is to return getUserPrincipal() on the wrapped request object.
  Specified by:
    getUserPrincipal in interface HttpServletRequest

### getRequestedSessionId

    public java.lang.String getRequestedSessionId()

  The default behavior of this method is to return getRequestedSessionId() on the wrapped request object.
  Specified by:
    getRequestedSessionId in interface HttpServletRequest

### getRequestURI

    public java.lang.String getRequestURI()

  The default behavior of this method is to return getRequestURI() on the wrapped request object.
  Specified by:
    getRequestURI in interface HttpServletRequest

### getRequestURL

    public java.lang.StringBuffer getRequestURL()

  The default behavior of this method is to return getRequestURL() on the wrapped request object.
  Specified by:
    getRequestURL in interface HttpServletRequest

### getServletPath

    public java.lang.String getServletPath()

  The default behavior of this method is to return getServletPath() on the wrapped request object.
  Specified by:
    getServletPath in interface HttpServletRequest

### getSession

    public HttpSession getSession(boolean create)

  The default behavior of this method is to return getSession(boolean create) on the wrapped request object.
  Specified by:
    getSession in interface HttpServletRequest

### getSession

    public HttpSession getSession()

  The default behavior of this method is to return getSession() on the wrapped request object.
  Specified by:
    getSession in interface HttpServletRequest

### isRequestedSessionIdValid

    public boolean isRequestedSessionIdValid()

  The default behavior of this method is to return isRequestedSessionIdValid() on the wrapped request object.
  Specified by:
    isRequestedSessionIdValid in interface HttpServletRequest

### isRequestedSessionIdFromCookie

    public boolean isRequestedSessionIdFromCookie()

  The default behavior of this method is to return isRequestedSessionIdFromCookie() on the wrapped request object.
  Specified by:
    isRequestedSessionIdFromCookie in interface HttpServletRequest

### isRequestedSessionIdFromURL

    public boolean isRequestedSessionIdFromURL()

  The default behavior of this method is to return isRequestedSessionIdFromURL() on the wrapped request object.
  Specified by:
    isRequestedSessionIdFromURL in interface HttpServletRequest

### isRequestedSessionIdFromUrl

    public boolean isRequestedSessionIdFromUrl()

  The default behavior of this method is to return isRequestedSessionIdFromUrl() on the wrapped request object.
  Specified by:
    isRequestedSessionIdFromUrl in interface HttpServletRequest

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD